#ifndef __HW_UART_H__
#define __HW_UART_H__

#include "stm32f10x.h"

#define AT_UART_MX_RX_LEN	256 	//串口缓冲区最大长度


typedef struct
{
int FLAG_CMD_PARSE;	//AT命令解析标志

char buff_rx[AT_UART_MX_RX_LEN];	//串口数据接收缓冲区

int len_rx;		//串口接收到数据的长度
}uart_type_t;

extern uart_type_t uart_1;

void UartInit( void );

void UartDeInit( void );

#endif // __HW_UART_H__
